## LassoSoapBindingExtServiceInstanceUpdate LassoSoapBindingExtServiceInstanceUpdate — <soapbinding:ServiceInstanceUpdateType> |

## Types and Values

struct | LassoSoapBindingExtServiceInstanceUpdate

## Description

Figure 137. Schema fragment for soapbinding:ServiceInstanceUpdateType

    <xs:complexType name="ServiceInstanceUpdateType">
      <xs:sequence>
          <xs:element name="SecurityMechID" type="xs:anyURI" minOccurs="0" maxOccurs="unbounded"/>
          <xs:element name="Credential" minOccurs="0" maxOccurs="unbounded">
             <xs:complexType>
                <xs:sequence>
                   <xs:any namespace="##any" processContents="lax"/>
                </xs:sequence>
                <xs:attribute name="notOnOrAfter" type="xs:dateTime" use="optional"/>
             </xs:complexType>
          </xs:element>
          <xs:element name="Endpoint" type="xs:anyURI" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>

## Functions

## Types and Values

### struct LassoSoapBindingExtServiceInstanceUpdate

    struct LassoSoapBindingExtServiceInstanceUpdate {
    	LassoNode parent;

    	gchar *SecurityMechID;
    	LassoSoapBindingExtCredential *Credential;
    	gchar *Endpoint;

    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };